## org.apache.myfaces.renderkit.html
Class HtmlGridRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlGridRendererBase

Direct Known Subclasses:
  HtmlGridRenderer

public class HtmlGridRendererBase
extends HtmlRenderer

Version:
  $Revision: $ $Date: $

  $Log: $
Author:
  Martin Marinschek

Constructor Summary
`HtmlGridRendererBase()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`boolean` `getRendersChildren()`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlGridRendererBase

    public HtmlGridRendererBase()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`